# ApplicationFramework
TKXmlL
XmlMNaming

# XmlMNaming_Shape1 Class Reference

The XmlMNaming_Shape1 is the Persistent view of a TopoDS_Shape.
a Shape1 contains :
- a reference to a TShape
- a reference to Location
- an Orientation.
.

`#include <XmlMNaming_Shape1.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XmlMNaming_Shape1 (XmlObjMgt_Document &Doc)
Standard_EXPORT | XmlMNaming_Shape1 (const XmlObjMgt_Element &E)
Standard_EXPORT const XmlObjMgt_Element & | Element () const
| return myElement
Standard_EXPORT XmlObjMgt_Element & | Element ()
| return myElement
Standard_EXPORT Standard_Integer | TShapeId () const
Standard_EXPORT Standard_Integer | LocId () const
Standard_EXPORT TopAbs_Orientation | Orientation () const
Standard_EXPORT void | SetShape (const Standard_Integer ID, const Standard_Integer LocID, const TopAbs_Orientation Orient)
Standard_EXPORT void | SetVertex (const TopoDS_Shape &theVertex)
| XmlMNaming_Shape1 ()
XmlObjMgt_Element | _CSFDB_GetXmlMNaming_Shape1myElement () const
void | _CSFDB_SetXmlMNaming_Shape1myElement (const XmlObjMgt_Element p)
Standard_Integer | _CSFDB_GetXmlMNaming_Shape1myTShapeID () const
void | _CSFDB_SetXmlMNaming_Shape1myTShapeID (const Standard_Integer p)
Standard_Integer | _CSFDB_GetXmlMNaming_Shape1myLocID () const
void | _CSFDB_SetXmlMNaming_Shape1myLocID (const Standard_Integer p)
TopAbs_Orientation | _CSFDB_GetXmlMNaming_Shape1myOrientation () const
void | _CSFDB_SetXmlMNaming_Shape1myOrientation (const TopAbs_Orientation p)

## Private Attributes

XmlObjMgt_Element | myElement
Standard_Integer | myTShapeID
Standard_Integer | myLocID
TopAbs_Orientation | myOrientation

## Friends

Standard_EXPORT friend Handle_Standard_Type & | XmlMNaming_Shape1_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT XmlMNaming_Shape1::XmlMNaming_Shape1 | ( | XmlObjMgt_Document & | Doc | ) |

Standard_EXPORT XmlMNaming_Shape1::XmlMNaming_Shape1 | ( | const XmlObjMgt_Element & | E | ) |

XmlMNaming_Shape1::XmlMNaming_Shape1 | ( |  | ) | `[inline]`

## Member Function Documentation

XmlObjMgt_Element XmlMNaming_Shape1::_CSFDB_GetXmlMNaming_Shape1myElement | ( |  | ) | const`[inline]`

Standard_Integer XmlMNaming_Shape1::_CSFDB_GetXmlMNaming_Shape1myLocID | ( |  | ) | const`[inline]`

TopAbs_Orientation XmlMNaming_Shape1::_CSFDB_GetXmlMNaming_Shape1myOrientation | ( |  | ) | const`[inline]`

Standard_Integer XmlMNaming_Shape1::_CSFDB_GetXmlMNaming_Shape1myTShapeID | ( |  | ) | const`[inline]`

void XmlMNaming_Shape1::_CSFDB_SetXmlMNaming_Shape1myElement | ( | const XmlObjMgt_Element | p | ) | `[inline]`

void XmlMNaming_Shape1::_CSFDB_SetXmlMNaming_Shape1myLocID | ( | const Standard_Integer | p | ) | `[inline]`

void XmlMNaming_Shape1::_CSFDB_SetXmlMNaming_Shape1myOrientation | ( | const TopAbs_Orientation | p | ) | `[inline]`

void XmlMNaming_Shape1::_CSFDB_SetXmlMNaming_Shape1myTShapeID | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT XmlObjMgt_Element& XmlMNaming_Shape1::Element | ( |  | ) |

Standard_EXPORT const XmlObjMgt_Element& XmlMNaming_Shape1::Element | ( |  | ) | const

Standard_EXPORT Standard_Integer XmlMNaming_Shape1::LocId | ( |  | ) | const

void XmlMNaming_Shape1::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XmlMNaming_Shape1::operator new | ( | size_t | size | ) | `[inline]`

void* XmlMNaming_Shape1::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT TopAbs_Orientation XmlMNaming_Shape1::Orientation | ( |  | ) | const

Standard_EXPORT void XmlMNaming_Shape1::SetShape | ( | const Standard_Integer | ID,
|  | const Standard_Integer | LocID,
|  | const TopAbs_Orientation | Orient
| ) |

Standard_EXPORT void XmlMNaming_Shape1::SetVertex | ( | const TopoDS_Shape & | theVertex | ) |

Standard_EXPORT Standard_Integer XmlMNaming_Shape1::TShapeId | ( |  | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& XmlMNaming_Shape1_Type_ | ( |  | ) | `[friend]`

## Field Documentation

XmlObjMgt_Element XmlMNaming_Shape1::myElement `[private]`

Standard_Integer XmlMNaming_Shape1::myLocID `[private]`

TopAbs_Orientation XmlMNaming_Shape1::myOrientation `[private]`

Standard_Integer XmlMNaming_Shape1::myTShapeID `[private]`

The documentation for this class was generated from the following file:

- XmlMNaming_Shape1.hxx